Name:           microba
Version:        0.4.4.3
Release:        10%{?dist}
Summary:        Set of JFC (Swing) components
Group:          Development/Libraries
License:        BSD
URL:            http://microba.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}-full.zip
Source1:        https://maven.atlassian.com/content/repositories/atlassian-public/com/michaelbaranov/%{name}/%{version}/%{name}-%{version}.pom
# set javac source/target to 1.5
# don't put the javadoc documentation into a jar file
Patch0:         %{name}-0.4.4.3-build.patch
# temporary build fix
Patch1:         %{name}-0.4.4.3-disable-jgraph.patch

BuildRequires:  ant
BuildRequires:  dos2unix
BuildRequires:  java-devel
# sinjdoc doesn't do the job for us in f12, drag in real javadoc
BuildRequires:  java-devel-openjdk
BuildRequires:  jpackage-utils
# BuildRequires:  jgraph
Requires:       java
Requires:       jpackage-utils
BuildArch:      noarch

%description
Microba features a set of finely crafted and feature rich JFC (Swing)
components. Among them are CalendarPane, DatePicker, DatePickerCellEditor
for JTree and JTable, MarkerBar, and GradientEditor.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -c
unzip -q %{name}-%{version}-sources.jar
find . -name '*.jar' -delete
%patch0 -p0
%patch1 -p0

dos2unix *.txt

%build

ant bin_release doc_release

%install

mkdir -p %{buildroot}%{_javadir}
install redist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "net.sf.%{name}:%{name}"

mkdir -p %{buildroot}%{_javadocdir}
cp -r javadoc %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc license.txt readme.txt change.log.txt

%pre javadoc
# workaround for rpm bug, can be removed in F-17
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}
%doc license.txt

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 17 2013 gil cattaneo <puntogil@libero.it> 0.4.4.3-9
- added missing BR dos2unix

* Sun Feb 17 2013 gil cattaneo <puntogil@libero.it> 0.4.4.3-8
- disabled jgraph support
- adapted to current guideline
- added maven pom

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 20 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.4.3-3
- Use OpenJDK Javadoc, until sinjdoc is fixed

* Fri Nov 20 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.4.3-2
- Add missing BRs (Michal Ingeli, #532205#c1)

* Fri Oct 30 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.4.3-1
- Initial packaging
